package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaScheduleTemplate;
import com.ruoyi.oa.domain.vo.OaScheduleTemplateVo;
import com.ruoyi.oa.domain.bo.OaScheduleTemplateBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 进度模板主Service接口
 *
 * @author hdka
 * @date 2025-05-08
 */
public interface IOaScheduleTemplateService {

    /**
     * 查询进度模板主
     */
    OaScheduleTemplateVo queryById(Long templateId);

    /**
     * 查询进度模板主列表
     */
    TableDataInfo<OaScheduleTemplateVo> queryPageList(OaScheduleTemplateBo bo, PageQuery pageQuery);

    /**
     * 查询进度模板主列表
     */
    List<OaScheduleTemplateVo> queryList(OaScheduleTemplateBo bo);

    /**
     * 新增进度模板主
     */
    Boolean insertByBo(OaScheduleTemplateBo bo);

    /**
     * 修改进度模板主
     */
    Boolean updateByBo(OaScheduleTemplateBo bo);

    /**
     * 校验并批量删除进度模板主信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
